                              Building Hercules Studio from source
                              ------------------------------------

Building Hercules Studio from source is a fairly straightforward process, but it does require some knowledge in software building. 
If you prefer, you can use the pre-compiled binaries available from http://sourceforge.net/projects/hercstudio/files/ .

1. Prerequisites: you should already have a c++ compiler and the rest of the tool chain. It is recommended to install
   all the necessary tools using the distribution-supplied packge: 
   On debian/ubuntu do: sudo apt-get install build-essential 
   On RedHat do (as root): yum groupinstall "Development Tools"

   In addition, you should have the Qt development framework from a release above 4.4.2. Your distribution should have this package ready. 
   On debian/ubuntu do: sudo apt-get install libqt-dev (note: sometimes called libqt4-dev)
   On RedHat do (as root): yum install libqt-dev (note: sometimes called libqt4-dev)

2. Enter the top hercstudio directory:
    $ cd hercstudio

3. Run Qt's Makefile generation command:
    $ qmake

4. Start the build:
    $ make

5. Install Hercules Studio (as root):
    $ make install 




Jacob Dekel
September, 2009
http://sourceforge.net/projects/hercstudio 

